Bug 927249 - CVE-2012-3363 moodle: XXE via Zend library (MSA-13-0016)
CVE-2012-3363 moodle: XXE via Zend library (MSA-13-0016)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130325,reported=2...
: Security
Depends On: 927264 927267 927273
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 09:41 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 09:41:25 EDT
An information disclosure flaw was found in the way XML RPC interface of web services of Moodle, a course management system, performed loading of certain XML files. A remote attacker (valid Moodle user) could use this flaw to obtain sensitive information (certain server files).

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git;a=commit;h=dfe203c12e4fdb4696b59928f90bb06cb1d8b9a7
Comment 1 Jan Lieskovsky 2013-03-25 09:58:15 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 18, 17, and Fedora EPEL-6. Please schedule an update.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-03-25 10:16:36 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:24:55 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:35:59 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]

Note You need to log in before you can comment on or make changes to this bug.